#!/bin/bash

LOGPATH=/var/log/openvpn
NOW=$(date --iso-8601=sec)
#NOW=$(date '+%Y-%m-%dT%T%z')

case "${script_type}" in
	client-connect)
		extra=""
		dst="connect.log"
	;;
	client-disconnect)
		extra=" bytes sent/recv: ${bytes_sent}/${bytes_received} seconds: ${time_duration}"
		dst="disconnect.log"
	;;
	up|down|ipchange|route-up|tls-verify|auth-user-pass-verify|learn-address|*)
		exit 1
	;;
esac

echo "${NOW} [${script_type}] ${common_name} from ${trusted_ip} assigned ${ifconfig_pool_remote_ip}${extra}" > "${LOGPATH}/${dst}"
